Bug 157242 - Updating port sysutils/swapexd for legacy compatibility
Summary: Updating port sysutils/swapexd for legacy compatibility
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-22 00:00 UTC by Jesse
Modified: 2011-08-15 16:20 UTC (History)
0 users

See Also:


Attachments
file.diff (1.05 KB, patch)
2011-05-22 00:00 UTC, Jesse
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse 2011-05-22 00:00:19 UTC
Please find attached a patch which should allow swapexd to build and install on FreeBSD legacy (7.x). The attached patch also prevents new installs from over-writing swapexd's configuration file.

Fix: Patch attached with submission follows:
Comment 1 Chris Rees freebsd_committer 2011-08-13 09:54:34 UTC
State Changed
From-To: open->analyzed

I've also added code for automatically installing a default config file if there isn't one there http://www.bayofrum.net/~crees/patches/swapexd-157242.diff 

Taken for Tinderbox run. 


Comment 2 Chris Rees freebsd_committer 2011-08-13 09:54:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take it.
Comment 3 Chris Rees freebsd_committer 2011-08-15 16:12:34 UTC
State Changed
From-To: analyzed->closed

cd ..
Comment 4 dfilter service freebsd_committer 2011-08-15 16:12:35 UTC
crees       2011-08-15 15:12:26 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/swapexd     Makefile 
  Log:
  - Fix build on 7.x
  - While here, fix clang build (CC=gcc)
  - Stop clobbering config files
  
  PR:             ports/157242
  Submitted by:   Jesse <jessefrgsmith@yahoo.ca> (maintainer)
  
  Revision  Changes    Path
  1.3       +21 -3     ports/sysutils/swapexd/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Chris Rees 2011-08-15 16:14:17 UTC
Committed. Thanks!

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.
Comment 6 dfilter service freebsd_committer 2011-08-15 16:16:04 UTC
crees       2011-08-15 15:15:50 UTC

  FreeBSD ports repository

  Modified files:
    .                    UPDATING 
  Log:
  Document risks involved in updating swapexd -- config file clobbering.
  
  PR:             ports/157242
  
  Revision  Changes    Path
  1.1119    +11 -1     ports/UPDATING
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"